#
# sglidx.rb
#
# $Id: sglidx.rb,v 1.1 2000/11/21 03:02:07 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include Math


DX = 0.01
DD = 0.08

#-- graph ---
iw = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
sgopn iw

slmgn(0.05, 0.05, 0.00, 0.10)
slsttl('DEMONSTRATION FOR LINE INDEX', 'T', 0.0, 0.0, 0.018, 1)
sgfrm

for j in 0..9
  for i in 0..9
    idx=j*10+i
    next if idx == 0
    x1=i*0.1+DX
    x2=x1+DD
    y1=1.0-j*0.1-DX
    y2=y1-DD
    chr = format("%2d", idx)
    sglnzv(x1, y1, x2, y2, idx)
    sgtxzv(x1+DX*2, y2+DX*2, chr, 0.015, 0, 1, 1)
  end
end

sgcls

